button{
    width: max-content !important;
    padding: 5px 20px !important;
    margin: 0px 6px !important;
}
.e-gantt .e-add:before {
    content: "\E759";
}
.btn-custom i{
    margin-right: 5px;
}
.btn-custom{
    color: #495057 !important;
    height: calc(100% - 10px);
    margin: 0;
    min-height: 32px;
    min-width: 32px;
    padding: 3px 11px !important;
    line-height: 27px;
}
.btn-custom:hover{
    background: #6c757d !important;
    border: 1px solid #545b62 !important;
    border-color: #545b62 !important;
    border-radius: 4px !important;
    color: #fff !important;
}
.buttons_row{
    align-items: center;
    padding-left: 1rem !important;
    border-radius: 5px 5px 0px 0px;
    padding: 0.2rem;
}
.buttons_row button.active{
    background: #6c757d !important;
    border: 1px solid #545b62 !important;
    border-color: #545b62 !important;
    border-radius: 4px !important;
    color: #fff !important;
}
.search_icon{
    display: flex;
    padding: .375rem .4rem;
    -moz-appearance: none;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.bg-color{
    height: 1.5rem;
    width: 2rem;
    background-color: aqua;
}
.table_head{
    height: 3.9rem;
}
.table_head tr th{
    align-content: space-around;
}
.move{
    cursor: all-scroll;
}
.move i{
    color: #afb4b9;
}
.menu_full{
    border-radius: 0 !important;
    width: 100%;
}
.table_head_1{
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    align-items: baseline;
    /* font-size: 12px ; */
}
.modal-header {
    /* display: flex; */
    justify-content: space-between;
}

.tab-content {
    position: relative;
    overflow: hidden;
    &.is-animating {
      position: absolute;
      top: 0;
      left: 15px;
      right: 15px;
      width: auto;
    }
  }
  
.content-pane {
    height: 23rem;
    overflow-x: auto;
    /* overflow-y: hidden; */
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0;
    width: 100%;
    opacity: 0;
    transform: translateX(100%) translateY(-50%);
    &.is-active {
    position: relative;
    opacity: 1;
    transform: translateX(0%);
}
&.is-exiting {
    opacity: 0;
    transform: translateX(-100%);
}
&.is-animating {
    transition: opacity 400ms ease-out, transform 400ms ease-out;
}
}
.nav-tabs{
    width: max-content;
}
.nav-tabs li a{
    color: white ;
    text-decoration: none !important;

}
.header h3{
    padding-bottom: 1rem;
    color: white;
}
.header{
    padding-top: 2rem;
    background: #007bff !important;
    padding-left: 2rem;
    border-radius: 7px 7px 0 0;
}
.nav-tabs li{
    background: #007bff !important;
 }
  /* // optional styling for CodePen example */
.nav-tabs li.active{
    color: #000 !important;
    background: #fff !important;
 }
  .nav-tabs li.active a {
    background: #fff!important;
    color: #000;
    text-decoration: none !important;
    border-bottom-color: transparent!important;  
    border-radius: 12px ;
  }
  .nav-tabs li:not(.active) {
    border-bottom: 1px solid black;
  }
  .tab-content {
    margin-top: -1px;
    border: 1px solid #ddd;
    border-top: none;
    /* padding: 0px 20px; */
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: #fff;
  }
.color_dropdown{
    background-color: #007bff;
    width: 1rem !important;
    height: 1rem;
}
.for_cus{
    margin-top: 0 !important;
    /* margin: 0px 23px ; */
    padding: 10px 20px;

}
.tab_2_cus{
    background-color: #ebebeb;
    width: 100%;
    display: flex;
    justify-content: end;
    padding-right: 1rem !important;
    padding: 7px 0px
}
.selected td {
    background-color: #f1f1f1 !important;
    cursor: grabbing;
}
.table_row_cus{
 cursor: grab ;
}
.name_th{
    width:74rem ;
    font-size: large;
}
.Input_check{
    width: 1rem;
    height: 1rem;
}
.cus_a{
    padding: 0.5rem 1rem 1rem 1rem;
    margin-bottom: -1rem !important;
}
.cus_li{
    /* padding-bottom: 0 !important; */
    padding-right: 0 !important;
    padding-left: 0 !important;
}
.modal {
    /* --bs-modal-zindex: 1055; */
    --bs-modal-width: 900px !important;
}
.modal-body{
    padding: 0 !important;
    height: 31rem;
    max-height: 32rem;
}
.modal_head_cus{
    display: flex;
    justify-content: space-between;
}
.container_cus{
    padding: 0 !important;
}
#checkbox {
    display: none;
  }
  
  .toggle {
    position: relative;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    transition-duration: .5s;
  }
  
  .bars {
    width: 100%;
    height: 4px;
    background-color: rgb(176, 92, 255);
    border-radius: 4px;
  }
  
  #bar2 {
    transition-duration: .8s;
  }
  
  #bar1,#bar3 {
    width: 70%;
  }
  
  #checkbox:checked + .toggle .bars {
    position: absolute;
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle #bar2 {
    transform: scaleX(0);
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle #bar1 {
    width: 100%;
    transform: rotate(45deg);
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle #bar3 {
    width: 100%;
    transform: rotate(-45deg);
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle {
    transition-duration: .5s;
    transform: rotate(180deg);
  }
  .cke_reset {
    height: 100% !important;
  }
  .bg_green{
    background: #49f414 !important;
  }
  .bg_red{
    background: #ff0000 !important;
  }
  .bg-color {
    width: 38px;
    height: 38px;
    background-color: #ff0000; /* Placeholder color */
}
.move {
    cursor: move;
}
/* .table_head_1 {
    display: flex;
    align-items: center;
} */
.menu_full {
    width: 100%;
}
.clickable{
    /* display: flex; */
    /* justify-content: space-between; */
    /* align-items: flex-start; */
    cursor: pointer;
    border: none;
}
.toggle-icon{
     float: right;
     cursor: pointer;

}
.sortable-placeholder {
    height: 40px;
    background-color: #f0f0f0;
    border: 1px dashed #ccc;
}

.depart_box{
    border: 1px solid #dee2e6;
    border-radius: 7px;
    padding: 0.3rem 0.6rem 0.3rem 0.6rem;
}

#slideButton {
    position: fixed;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    z-index: 1000;
}
/* 
#screen {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    box-shadow: -2px 0 5px rgba(0, 0, 0, 0.5);
    transform: translateX(100%);
    transition: transform 0.5s ease;
} */
/* 
#screen.show {
    transform: translateX(0);
} */

.content {
    padding: 20px;
}

.parent_tr{
    width: 100% !important;
    font-size: 0.9rem;
}
.child_tr{
    font-size: 0.9rem;
}

.context-menu {
    display: none;
    position: absolute;
    z-index: 1000;
    width: 170px;
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.2);
  }
  
  .context-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  
  .context-menu ul li {
    padding: 8px 12px;
    cursor: pointer;
  }
  
  .context-menu ul li:hover {
    background-color: #f5f5f5;
  }
  .required::after {
    content: "*";
    color: red;
    padding: 5px;
}
.td_center{
    align-content: center;
}
.td_resou{
    margin: 0;
    width: 15rem;
    max-height: 3.3rem;
    font-size: smaller;
    overflow: auto;
    padding: 0 !important;
    scrollbar-width: thin;
}
#tab1{
    overflow-x: hidden;
}
#edit_tab1{
    overflow: hidden;
}
.form-select{
    cursor: pointer;
}
.form-control , .Input_check{
    cursor: pointer;
}
.td_button{padding: 0 !important;}
.td_button_cus{
    padding: 7px 17px !important;
    margin: 0 !important;
}
.td_bg{
    background-color: #f3f3f3 !important;

}
.td_dptwo{
    border: none !important;
    display: block;
    height: 30px !important;
    max-height: 30px !important;
    font-size: smaller !important;
    overflow: auto !important;
    padding: 0 0px 0 7px !important;
    scrollbar-width: thin !important;
}
.td_dp{
    border: none !important;
    display: block;
    height: 20px !important;
    max-height: 20px !important;
    font-size: smaller !important;
    overflow: auto !important;
    padding: 0 0px 0 7px !important;
    scrollbar-width: thin !important;
}
.border_cus{
    box-shadow: -2px 0 5px rgba(0, 0, 0, 0.5) !important;
}
.child_tr {
    background-color: #f9f9f9; /* Light gray background for child rows */
}

.toggle-icon {
    cursor: pointer;
}
.td_date{
    padding: 0px 0px 0px 6px !important;
    font-size: 0.8rem;
}
.td_size{
    font-size:smaller  !important;
    padding: 0px 0px 0px 0px !important;
}
.td_title{
    font-size:smaller  !important;
}
table {
    position: relative;
}


.content {
    position: absolute;
    height: 100%;
    width: 100%;
    background: #f1f1f1; /* Example background color */
}

.hidden {
    transform: translateX(100%);
}

.visible {
    transform: translateX(0);
}

#screen.dragging .content {
    transition: none;
}

.grid {
    display: grid;
    grid-template-columns: 1fr 10px 1fr;
}

.gutter-col {
    grid-row: 1/-1;
    cursor: col-resize;
}

.gutter-col-1 {
    grid-column: 2;
}
body{
    
    overflow-x: hidden;
}
.gantt-container{
    max-height: 37rem; 
    overflow: auto;    
}
#screen {
    position: absolute;
    /* max-height: 37rem;  */
    height: 37rem; 
    overflow: auto;
    /* background: #dee2e6; */
    width: 80.5%; /* Adjust as needed */
    left: 267px; 
    top: 129px;
    transition: left 0.1s ease; /* Smooth transition for left property */
    z-index: 1; /* Ensure it is above other content */
}
.dragging {
    transition: none; /* Remove transition during drag */
}
.drag-icon {
    width: 6px;
    height: 100%;
    align-content: center;
    position: absolute;
    left: 1px;
    top: 50%;
    transform: translateY(-50%);
    cursor: col-resize;
    z-index: 10;
    /* padding: 10px; */
    background-color: #dee2e6;
    border-radius: 5px; /* Optional: add border radius for better appearance */
}
.drag-icon:hover{
    color: #007BFF;
}
.dragging .drag-icon {
    cursor: col-resize;
}
.dragging, .dragging * {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
}

#gantt_here {
    margin-left: -0.5rem;
    /* height: 37rem !important; */
}
.gantt_layout_cell {
    height: 100% !important;
}
.gantt_layout_outer_scroll_vertical {
    height: 100% !important;
}
.gantt_layout_content{
    height: 100% !important;
}
.gantt_grid_data{
    height: 100% !important;
}
.gantt_grid_data{
    height: 100% !important;
}
.gantt_layout_outer_scroll_horizontal{
    height: 100% !important;
}
.gantt_data_area{
    height: 100% !important;
}

.gantt_grid_scale{
    height: 65px !important;
    line-height: 65px !important;
}
.gantt_task_scale{
    height: 62px !important;

}
.table>:not(caption)>*>* {
    padding: 0.39rem .5rem !important;
}
.table-container{
    border: 1px solid #ccc;
    display: block;
    max-height: 37rem;
    height: 37rem;
    overflow: auto;
}
 .ganttContainer {
     overflow-x: hidden;
}
.gantt_scale_cell{
    font-size: medium !important;
    color: black !important;
    font-weight: bold !important;
    height: 30px !important;
    /* padding-top: 3px; */
    /* padding-bottom: 3px; */
    align-content: center !important;
}
.gantt_scale_line{
    height: 27px !important;
    /* align-content: center !important; */

}
.gantt_grid, .gantt_task{
    overflow: auto !important;
}
.gantt_layout_outer_scroll_horizontal .gantt_layout_content{
    overflow: auto !important;
}
.emplyee_div{
    height: 10.6rem;
    max-height: 11rem;
    overflow: auto;
    /* background: #cccccc; */
}
.employee_check{
    margin-right: 1rem
}
.name_emplyee{
    margin-top: 4px;
}

.e_head{
    border: 0 none !important;
    display: block !important;
    font-size: 14px !important;
    font-weight: 700 !important;
    height: 21px !important;
    line-height: 21px !important;
    margin: -5px !important;
    overflow: hidden !important;
    padding: 0 .4em !important;
    text-align: left !important;
    text-transform: none !important;
    -webkit-user-select: none !important;
    -ms-user-select: none !important;
    -moz-user-select: none !important;
    user-select: none !important;
}
.table_full_size{
    border: 1px #6c757d !important;
    height: 37rem !important;
}
.td_size{
    font-size: 0.8rem;
}
.td_name{
        height: 24px;
        max-height: 24px;
        font-size: 0.8rem;
        overflow: auto;
        scrollbar-width: thin;
}
.toggle-icon{
    margin-left: 6px;
}
.cke_notifications_area{
    display: none !important;
}


#loader-wrapper {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#loader {
    width: 60px;
    height: 60px;
    border: 8px solid #f3f3f3;
    border-radius: 50%;
    border-top: 8px solid #3498db;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

#content {
    display: none;
    /* Optional: Additional styling for content */
}

.date-picker-only {
    cursor: pointer; /* Optional for better UX */
}